MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000948Freenetfred-web-interfacepublic2006-12-01 19:252009-11-05 00:41
Reportersaces 
Assigned Totoad 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.7 
Target VersionFixed in Version 
Summary0000948: Panic button dosnt work
DescriptionThe panic button dosn't work

Freenet 0.7 Build 0001006 r11173
Freenet-ext Build #9 r11062
Additional InformationINFO | jvm 1 | 2006/12/01 20:21:55 | Exception in thread "freenet.clients.http.SimpleToadletServer$SocketHandler@baaea8" java.lang.NullPointerException
INFO | jvm 1 | 2006/12/01 20:21:55 | at freenet.clients.http.HTTPRequest.parseMultiPartData(HTTPRequest.java:436)
INFO | jvm 1 | 2006/12/01 20:21:55 | at freenet.clients.http.HTTPRequest.<init>(HTTPRequest.java:124)
INFO | jvm 1 | 2006/12/01 20:21:55 | at freenet.clients.http.QueueToadlet.handleGet(QueueToadlet.java:294)
INFO | jvm 1 | 2006/12/01 20:21:55 | at freenet.clients.http.QueueToadlet.handlePost(QueueToadlet.java:270)
INFO | jvm 1 | 2006/12/01 20:21:55 | at freenet.clients.http.ToadletContextImpl.handle(ToadletContextImpl.java:303)
INFO | jvm 1 | 2006/12/01 20:21:55 | at freenet.clients.http.SimpleToadletServer$SocketHandler.run(SimpleToadletServer.java:397)
INFO | jvm 1 | 2006/12/01 20:21:55 | at java.lang.Thread.run(Thread.java:595)

TagsNo tags attached.
Attached Filestxt file icon panic.diff.txt [^] (1,028 bytes) 2007-02-09 13:11 [Show Content]

- Relationships

-  Notes
(0001269)
toad (administrator)
2006-12-01 19:40

Believed to be fixed in 11182.
(0001270)
saces (developer)
2006-12-01 20:24

npe is fixed, but the button doesn't work again :(11182)
(0001271)
toad (administrator)
2006-12-01 20:41

More information would be nice!
(0001533)
nextgens (administrator)
2007-02-08 22:11

some debugging code added on r11695
(0001535)
saces (developer)
2007-02-09 13:12

it seems something get confused on the spaces and ! in the button value.
(0006274)
xor (administrator)
2009-11-05 00:41

Issue is outdated and since something was done with db4o to make the panic button also wipe the database encryption keys I assume that the button works now.

- Issue History
Date Modified Username Field Change
2006-12-01 19:25 saces New Issue
2006-12-01 19:25 saces svn-revision => 11173
2006-12-01 19:40 toad svn-revision 11173 => 11182
2006-12-01 19:40 toad Note Added: 0001269
2006-12-01 19:40 toad Assigned To => toad
2006-12-01 19:40 toad Status new => feedback
2006-12-01 20:24 saces Note Added: 0001270
2006-12-01 20:41 toad Note Added: 0001271
2007-02-08 22:11 nextgens Note Added: 0001533
2007-02-09 13:11 saces File Added: panic.diff.txt
2007-02-09 13:12 saces Note Added: 0001535
2009-11-05 00:41 xor svn-revision => 0000
2009-11-05 00:41 xor Note Added: 0006274
2009-11-05 00:41 xor Status feedback => resolved
2009-11-05 00:41 xor Resolution open => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker